<section>
    <h1 class="text-2xl font-bold my-4">Users</h1>
    <div class="flex justify-center">
        <table>
            <thead>
                <th class="px-4">Username</th>
                <th class="px-4">Firstname</th>
                <th class="px-4">Lastname</th>
                <th class="px-4">Email</th>
                <th class="px-4">Role</th>
            </thead>
            <tbody class="shadow-inner">
                <tr *ngFor="let user of users" class="even:bg-surface0 divide-x-2 divide-surface2">
                    <td class="text-center py-1 px-2">{{user.username}}</td>
                    <td class="text-center py-1 px-2">{{user.firstname}}</td>
                    <td class="text-center py-1 px-2">{{user.lastname}}</td>
                    <td class="text-center py-1 px-2">{{user.email}}</td>
                    <td class="text-center py-1 px-2">{{user.role}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</section>
